import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { MyClaimDocumentHdrAttachmentFlowContainerModel } from '../../../../../../models';
import { Observable } from 'rxjs';
export declare class MyClaimDocumentHdrAttachmentFlowService extends BaseApiTemplateService<MyClaimDocumentHdrAttachmentFlowContainerModel> {
    endpointSubPath: string;
    readonly url: string;
    constructor(http: HttpClient);
    uploadImage(formData: FormData, docHdrGuid: any, visa: ApiVisa): Observable<Object>;
    updateImage(formData: FormData, attachmentFlowGuid: any, visa: ApiVisa): Observable<Object>;
    getImage(hdrGuid: string, visa: ApiVisa): Observable<Blob>;
}
